"""Self-hosted employee directory table

Revision ID: 7d16_directoryemployees
Revises: 7d15_warranties
Create Date: 2026-07-10

"""
from alembic import op
import sqlalchemy as sa


revision = '7d16_directoryemployees'
down_revision = '7d15_warranties'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'directoryemployees',
        sa.Column('sso', sa.Integer(), primary_key=True, autoincrement=False),
        sa.Column('firstname', sa.String(length=100), nullable=False),
        sa.Column('lastname', sa.String(length=100), nullable=False),
        sa.Column('team', sa.String(length=100), nullable=True),
        sa.Column('role', sa.String(length=100), nullable=True),
        sa.Column('picture', sa.String(length=255), nullable=True),
    )


def downgrade():
    op.drop_table('directoryemployees')
